Subject: Re: [PATCH 5/6] parse-options: add precision handling for OPTION_BITOP

From: Patrick Steinhardt <[email-masked]>
Date: Tue, 1 Jul 2025 12:55:13 +0200

On Sun, Jun 29, 2025 at 01:51:19PM +0200, René Scharfe wrote:
> Similar to 09705696f7 (parse-options: introduce precision handling for
> `OPTION_INTEGER`, 2025-04-17) support value variables of different sizes
> for OPTION_BITOP.  Do that by requiring their "precision" to be set,
> casting their "value" pointer accordingly and checking whether the value
> fits.
> 
> Checking "defval" has the side-effect of also requiring PARSE_OPT_NOARG.

Hm, requiring PARSE_OPT_NOARG for what? I cannot see it being touched in
this patch at all, so I'm a but puzzled.

Patrick